[arch-commits] Commit in libnftnl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Sébastien Luttringer seblu at archlinux.org
Wed Apr 1 20:43:10 UTC 2020


    Date: Wednesday, April 1, 2020 @ 20:43:09
  Author: seblu
Revision: 379052

archrelease: copy trunk to testing-x86_64

Added:
  libnftnl/repos/testing-x86_64/
  libnftnl/repos/testing-x86_64/PKGBUILD
    (from rev 379051, libnftnl/trunk/PKGBUILD)

----------+
 PKGBUILD |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

Copied: libnftnl/repos/testing-x86_64/PKGBUILD (from rev 379051, libnftnl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2020-04-01 20:43:09 UTC (rev 379052)
@@ -0,0 +1,45 @@
+# Maintainer: Sébastien Luttringer
+
+pkgname=libnftnl
+pkgver=1.1.6
+pkgrel=1
+pkgdesc='Netfilter library providing interface to the nf_tables subsystem'
+arch=('x86_64')
+url='https://netfilter.org/projects/libnftnl/'
+license=('GPL2')
+depends=('libmnl')
+validpgpkeys=('C09DB2063F1D7034BA6152ADAB4655A126D292E4') # Netfilter Core Team
+source=("https://netfilter.org/projects/libnftnl/files/libnftnl-$pkgver.tar.bz2"{,.sig})
+sha256sums=('c1eb5a696fc1d4b3b412770586017bc01af93da3ddd25233d34a62979dee1eca'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list